Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000986Frama-CPlug-in > wppublic2011-10-17 11:122014-02-12 16:59
ReporterAnne 
Assigned Tocorrenson 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0000986: Wrong [\valid(p)] outside the pointed variable scope
DescriptionThe following assertion is said to be true, but it shouldn't :

void main (void) {
  int * p;
  { int x;
    p = &x;
  }
  /*@ assert \valid(p); */
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004722)
correnson (manager)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-10-17 11:12 Anne New Issue
2011-10-17 11:12 Anne Status new => assigned
2011-10-17 11:12 Anne Assigned To => correnson
2011-10-17 14:50 svn Checkin
2011-10-17 14:50 svn Status assigned => resolved
2011-10-17 14:50 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:59 correnson Note Added: 0004722
2014-02-12 16:59 correnson Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker